Bug 1401335 - Review Request: python-numpy-stl - Library for reading, writing and modifying STL files
Summary: Review Request: python-numpy-stl - Library for reading, writing and modifying...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1401334
Blocks: 1393176
TreeView+ depends on / blocked
 
Reported: 2016-12-04 21:53 UTC by Miro Hrončok
Modified: 2017-01-11 07:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:22:55 UTC
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Miro Hrončok 2016-12-04 21:53:10 UTC
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-numpy-stl.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-numpy-stl-2.0.0-1.fc25.src.rpm

Description:

Simple library to make working with STL files (and 3D objects in general) fast
and easy. Due to all operations heavily relying on NumPy this is one of the
fastest STL editing libraries for Python available.

Fedora Account System Username: churchyard

Comment 1 Athos Ribeiro 2016-12-26 16:30:19 UTC
Hi Miro,

Since the package license is BSD, the license text must be present in the package, according to [1]. Will you check that with upstream and ask them to include it in the package?

What is your opinion on having a -doc subpackage for the documentation here, since it is large, considering the package size? [2]

Also, do you have any comments on the .so file shipped? I noticed that there are some other python packages that will not run ldconfig whenever they own so files (which are also unversioned) [3]


[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

[2] https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

[3] https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries

Comment 2 Miro Hrončok 2016-12-27 22:29:07 UTC
1) created pull request https://github.com/WoLpH/numpy-stl/pull/42 (will include it in the package once new version happens)

2) I can do that, yes

3) this is OK for Python modules (I cannot find a link to back this up, but simply put the compiled modules are .so files, but not the same as shared libraries mentioned in that link you've provided)

Comment 4 Athos Ribeiro 2016-12-27 23:07:12 UTC
Thanks for the fixes and feedback, Miro.

As I said in the first point: BSD license text MUST be shipped in this package according to [1] in comment 1. I did not realize that there was a license file in the github repository though.

You should either include the license file from the github repository in the package or ask upstream to release the new version before you push the package. Since you are an experienced packager, I will not block this review here and I will trust you will do the right thing. Package approved.

Comment 5 Miro Hrončok 2016-12-28 20:17:38 UTC
The release happened 2 hours ago!

Thanks for the review.

Comment 6 Gwyn Ciesla 2016-12-28 22:54:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-numpy-stl

Comment 7 Fedora Update System 2016-12-30 16:26:43 UTC
python-numpy-stl-2.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-df0bca528b

Comment 8 Fedora Update System 2016-12-31 09:27:57 UTC
python-numpy-stl-2.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-df0bca528b

Comment 9 Fedora Update System 2017-01-11 07:22:55 UTC
python-numpy-stl-2.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.